unit sample1u;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs, StdCtrls, Printers, Nihongo;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  ERR00 = 'Error while initializing Nihongo Engine!'+#10+
          '(Remerber: ' + jJAPFNT + ' and ' + jASCFNT + ' must be in program''s folder!)';

var Form1 : TForm1;

implementation

{$R *.DFM}

// --------------------------------------------------------------------------

procedure TForm1.FormCreate(Sender: TObject);

begin
  if jInitialize = false then
    begin
      ShowMessage(ERR00);
      halt;
    end;
end;

// --------------------------------------------------------------------------

procedure DrawIt(_dest: HDC; _size: byte);

begin
  Form1.Canvas.Brush.Color := clWhite;
  Form1.Canvas.MoveTo(0, 0);
  jWrite(100, 10, _size, _size,
            'SJS - {yɂق񂲁z', jSJS, false, false, false, _dest);
  jWrite(100, 12 + _size, _size, _size,
            'EUC - ܸڤˤۤ󤴡', jEUC, false, true, false, _dest);
end;

// --------------------------------------------------------------------------

procedure TForm1.Button1Click(Sender: TObject);

begin
  DrawIt(Form1.Canvas.Handle, 16);
end;

// --------------------------------------------------------------------------

procedure TForm1.Button2Click(Sender: TObject);

begin
  Printer.BeginDoc;
  DrawIt(Printer.Canvas.Handle, (Printer.PageWidth * 16) div 640);
  Printer.EndDoc;
end;

// --------------------------------------------------------------------------

end.
